Subject: Re: bug#76372: 31.0.50; False () in ert-font-lock macro signatures

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 24 Feb 2025 14:56:59 +0100

Vladimir Kazanov [2025-02-24 09:25 +0000] wrote:

> I guess we're not making it in time for emacs-30. So master it is. The
> problem is inconvenient but not deal breaking for users.

Not in time for 30.1, but still in time for 30.2, assuming the
maintainers agree.

> On Thu, 20 Feb 2025 at 09:53, Basil L. Contovounesios
> <[email-masked]> wrote:
>>
>> found 76372 30.0.93
>> quit
>>
>> Vladimir Kazanov [2025-02-20 08:23 +0000] wrote:
>>
>> > Feel free to push,
>>
>> I was about to, but then it occurred to me that ert-font-lock is new in
>> Emacs 30.
>>
>> Perhaps the docstring fixes at least should go to emacs-30 instead of
>> master?
>>
>> If Eli/Stefan/Andrea agree, I propose the first patch for emacs-30, and
>> the second for master (they just separate the documentation/test changes
>> from those to code).
>>
>> To recap, the main issue in this report is that the arglist of
>> ert-font-lock-deftest and ert-font-lock-deftest-file is misrepresented
>> in their documentation and declare specs, which can lead to minor
>> confusion, misindentation, and misfontification.

Thanks,
-- 
Basil